Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157324 - user notification for new printers
Summary: user notification for new printers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On: 241531
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2005-05-10 16:46 UTC by Marius Andreiana
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-28 13:55:15 UTC


Attachments (Terms of Use)

Description Marius Andreiana 2005-05-10 16:46:18 UTC
I experienced adding a printer in Windows XP. I connected the printer to
parallel port, turned it on and I was ready to go to Control Panel to add it.
Windows XP showed a small bubble with "HP 1100 is ready to use" which
dissapeared by itself and indeed I was able to print immediately.

Please implement the same functionality in Fedora (via HAL / D-BUS ?). Now the
wizard doesn't even automatically recognize printer after specifying the port.

Thanks

Comment 1 Tim Waugh 2005-05-11 11:18:05 UTC
Worth mentioning that this *does* work for USB printers already.

For parallel printers it is actually quite a lot of effort to go to.  The
parallel port isn't designed to give notifications of new devices plugged in, so
you have to poll it.

We could, however, make it so that system-config-printer polls the port when it
starts up.  We can use libieee1284 to obtain a device ID.

Comment 2 Marius Andreiana 2005-05-11 12:12:35 UTC
Excellent!

Comment 3 Tim Waugh 2007-05-11 12:35:32 UTC
We could add a notification bubble actually, to let the user know it's ready to use.


Note You need to log in before you can comment on or make changes to this bug.